<bugID>1245447<Summary>Browser is blocked in customize mode if Pocket button is placed in Menu panel and then restored</Summary><Description>Note: logged as requested in bug 1245074 comment 6

Affected versions: latest Aurora 46.0a2 and Nightly 47.0a1 (from 2016-02-02), e10s enabled/disabled
Affected platforms: Ubuntu 14.04 32-bit, Mac OS X 10.9.5 and Windows 7 64-bit

Steps to reproduce:
1. Launch Firefox with a clean profile.
2. Click on Menu panel (Hamburger button).
3. Select Customize.
4. Drag Pocket button to the Menu Panel.
5. Click 'Restore Defaults' button.
6. Exit customize mode - click Exit Customize button or Hamburger button or close tab.

Expected results: Customize mode is properly closed.
Actual results: Unable to exit customize mode. 

Additional notes:
1. Screen recording: https://goo.gl/6qnSeO
1.1. At step 4, if the button is placed at the top of the Menu panel, an empty spot appears after restoring (visible in the video too).
2. Browser console output:
&gt; CustomizeMode:DOMException [NotFoundError: "Node was not found"
&gt; code: 8
&gt; nsresult: 0x80530008
&gt; location: resource://app/modules/CustomizableUI.jsm:1184]' 
thrown by Promise-backend.js:940

3. Not reproducible if any other button from toolbar is moved to the Menu panel.
4. Unaffected version - 45 beta 2 (Build ID: 20160201143558) and 44.0RC build 3 (Build ID: 20160123151951).
5. Regression range:
Last good revision: 0c12d4229be0068eb1b9beb5064b800f12143f20
First bad revision: 3ba655f6bc67660a2dcfc4c2a5b3d0d17714f53d
Pushlog: https://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=0c12d4229be0068eb1b9beb5064b800f12143f20&amp;tochange=3ba655f6bc67660a2dcfc4c2a5b3d0d17714f53d

Regressed by 3ba655f6bc67 Shane Caraveo &#8212; Bug 1215694 move pocket to a system addon</Description></bugID>